Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class TransferResponseValuesTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.TransferResponseValuesTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

    public class TransferResponseValuesTestStep

extends WsdlTestStep

WsdlTestStep for transferring values from a WsdlTestRequest response to a WsdlTestRequest request using XPath expressions

Author:
  Ole.Matzura

Nested Class Summary
`class` | `TransferResponseValuesTestStep.ValueTransferResult`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY, LABEL_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`TransferResponseValuesTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`

Method Summary
`PropertyTransfer` | `addTransfer(java.lang.String name)`
`boolean` | `cancel()`
`TestStepResult` | `createFailedResult(java.lang.String message)`
`PropertyTransfer` | `getTransferAt(int index)`
`PropertyTransfer` | `getTransferByName(java.lang.String name)`
`com.eviware.soapui.config.TransferValuesStepConfig` | `getTransferConfig()`
`int` | `getTransferCount()`
`void` | `postInit(com.eviware.soapui.config.TestStepConfig config)` Called after creation of all teststeps, should be used for inter-test-step initializations
`void` | `release()`
`void` | `removeTransferAt(int index)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner runner, TestRunContext context)`
`TestStepResult` | `run(TestRunner runner, TestRunContext context, PropertyTransfer transfer)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, clone, createPanelBuilder, deleteProperty, dependsOn, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getLabel, getProperty, getPropertyNames, getPropertyValue, getRequiredInterfaces, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, prepare, propertyRenamed, removeTestStepListener, setDisabled, setName, setPropertyValue`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, setConfig, setDescription, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### TransferResponseValuesTestStep

    public TransferResponseValuesTestStep(WsdlTestCase testCase,
                                          com.eviware.soapui.config.TestStepConfig config,
                                          boolean forLoadTest)

Method Detail

### postInit

    public void postInit(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called after creation of all teststeps, should be used for inter-test-step initializations

  Overrides:
    `postInit` in class `WsdlTestStep`

### getTransferConfig

    public com.eviware.soapui.config.TransferValuesStepConfig getTransferConfig()

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### run

    public TestStepResult run(TestRunner runner,
                              TestRunContext context)

### run

    public TestStepResult run(TestRunner runner,
                              TestRunContext context,
                              PropertyTransfer transfer)

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `TestStep`
  Overrides:
    `cancel` in class `WsdlTestStep`

### getTransferCount

    public int getTransferCount()

### getTransferAt

    public PropertyTransfer getTransferAt(int index)

### addTransfer

    public PropertyTransfer addTransfer(java.lang.String name)

### removeTransferAt

    public void removeTransferAt(int index)

### createFailedResult

    public TestStepResult createFailedResult(java.lang.String message)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### getTransferByName

    public PropertyTransfer getTransferByName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.